# SQLite3::enableExceptions

(PHP 5 >= 5.3.0, PHP 7)

SQLite3::enableExceptions — Enable throwing exceptions

### Description

SQLite3::enableExceptions ([ bool `$enableExceptions` = `FALSE` ] ) : bool

Controls whether the SQLite3 instance will throw exceptions or warnings on error.

### Parameters

`enable`

  When `TRUE`, the SQLite3 instance, and SQLite3Stmt and SQLite3Result instances derived from it, will throw exceptions on error.

  When `FALSE`, the SQLite3 instance, and SQLite3Stmt and SQLite3Result instances derived from it, will raise warnings on error.

  For either mode, the error code and message, if any, will be available via SQLite3::lastErrorCode() and SQLite3::lastErrorMsg() respectively.

### Return Values

Returns the old value; `TRUE` if exceptions were enabled, `FALSE` otherwise.

### Examples

Example #1 SQLite3::enableExceptions() example

`<?php
$sqlite = new SQLite3(':memory:');
try {
$sqlite->exec('create table foo');
$sqlite->enableExceptions(true);
$sqlite->exec('create table bar');
} catch (Exception $e) {
echo 'Caught exception: ' . $e->getMessage();
}
?>`

The above example will output something similar to:

    Warning: SQLite3::exec(): near "foo": syntax error in example.php on line 4
    Caught exception: near "bar": syntax error